NotaryLive API - IPEN Status

Page last updated: July 20, 2026

Getting IPEN Status

You may need to check the status of an IPEN to see if it has been completed, or get the finalized documents. Depending on the way you integrated with NotaryLive, you may provide your own internal order ID or use the NotaryLive IPEN ID to get the IPEN status.

Below is an example of how to get the status of an IPEN using your internal ID:

curl -X GET "https://notarylive.com/api/v1/ipen/status" \
    -H 'Content-Type: application/json' \
    -u 'your_ipen_api_id:your_ipen_api_key' \
    -d $'{"internal_id":"((internal_order_id))"}'

Below is an example of how to get the status of an IPEN using the NotaryLive IPEN ID:

curl -X GET "https://notarylive.com/api/v1/ipen/status" \
    -H 'Content-Type: application/json' \
    -u 'your_ipen_api_id:your_ipen_api_key' \
    -d $'{"nl_ipen_id":"((nl_ipen_id))"}'

A successful request will generate the following response:

{
  "success": 1,
  "status": "complete",
  "document_urls": [
    "https://notary-session-files.../document1.pdf",
    "https://notary-session-files.../document2.pdf"
  ]
}

Please note: the document_urls will only be accessible for 30 minutes. Please have a plan in place to download and store the documents on your own infrastructure.


Status Definitions

The following are the possible status definitions for an IPEN order:

Status Description
incomplete The IPEN order was started but has not yet been submitted.
pending The IPEN order has been created and is awaiting the notary to begin the session.
saved The IPEN session has been started but not yet completed.
complete The IPEN session has been fully completed. The response will include document_urls with the URLs to the notarized documents.
canceled The IPEN order has been canceled.

Validation Failures

Invalid credentials will return a 401 response with the message: HTTP/1.0 401 Unauthorized

Invalid or missing payload data will return a 400 HTTP response with a JSON body containing success = 0 as well as an array of errors containing both a standardized error code, as well as a human-readable description of what caused the error:

If you continue having issues, please take a look at our troubleshooting guide.

curl -X GET "https://notarylive.com/api/v1/ipen/status" \
    -H 'Content-Type: application/json' \
    -u 'your_ipen_api_id:your_ipen_api_key' \
    -d $'{}'
{
  "success": 0,
  "errors": [
    {
      "code": "no_identifier_submitted",
      "message": "This endpoint requires either a nl_ipen_id or an internal_id parameter to identify the order"
    }
  ]
}


Copyright © 2026, NotaryLive.com